html, body {
    width: 100%;
    height: 100%;
    overflow: hidden;
    font-family: rubik mono one, sans-serif;
    background: #22292c
}

svg {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1
}

#d {
    position: absolute;
    text-align: center;
    top: 20%;
    left: 50%;
    transform: translateX(-50%);
    width: 500px
}

.btn {
    z-index: 2;
    height: 26px;
    width: 100px;
    box-shadow: 0 0 0 1px #2868c8;
    color: #fff;
    font-size: 15px;
    letter-spacing: 1px;
    background: #3385ff;
    border-bottom: 1px solid #2d78f4;
    outline: medium;
    border: 1px solid #2868c8
}

.input {
    z-index: 2;
    font-size: 20px;
    font-family: helvetica, sans-serif;
    background: 0 0;
    border: 1px solid #ddd;
    color: #eee
}

.text, .offscreen-text {
    width: 100%;
    top: 50%;
    transform: translateY(-50%);
    display: block;
    position: absolute;
    margin: 0
}

.offscreen-text {
    text-align: center;
    top: -9999px
}

.text span {
    position: absolute
}

.webdesigntuts-workshop {
    height: 100%;
    width: 100%
}

.webdesigntuts-workshop:before, .webdesigntuts-workshop:after {
    content: '';
    display: block;
    height: 0;
    left: 50%;
    margin: 0 0 0 -400px;
    width: 800px
}

.webdesigntuts-workshop:before {
    background: #444;
    background: -webkit-linear-gradient(left, #151515, #444, #151515);
    background: -moz-linear-gradient(left, #151515, #444, #151515);
    background: -o-linear-gradient(left, #151515, #444, #151515);
    background: -ms-linear-gradient(left, #151515, #444, #151515);
    background: linear-gradient(left, #151515, #444, #151515);
    top: 192px
}

.webdesigntuts-workshop:after {
    background: #000;
    background: -webkit-linear-gradient(left, #151515, #000, #151515);
    background: -moz-linear-gradient(left, #151515, #000, #151515);
    background: -o-linear-gradient(left, #151515, #000, #151515);
    background: -ms-linear-gradient(left, #151515, #000, #151515);
    background: linear-gradient(left, #151515, #000, #151515);
    top: 191px
}

.webdesigntuts-workshop span {
    background: #111;
    background: -webkit-linear-gradient(#1b1b1b, #111);
    background: -moz-linear-gradient(#1b1b1b, #111);
    background: -o-linear-gradient(#1b1b1b, #111);
    background: -ms-linear-gradient(#1b1b1b, #111);
    background: linear-gradient(#1b1b1b, #111);
    border: 1px solid #000;
    border-radius: 5px;
    box-shadow: inset 0 0 0 1px #272727;
    display: inline-block;
    font-size: 0;
    margin: 25% auto 0;
    padding: 20px;
    z-index: 1
}

.webdesigntuts-workshop input {
    background: #222;
    background: -webkit-linear-gradient(#333, #222);
    background: -moz-linear-gradient(#333, #222);
    background: -o-linear-gradient(#333, #222);
    background: -ms-linear-gradient(#333, #222);
    background: linear-gradient(#333, #222);
    border: 1px solid #444;
    border-radius: 5px;
    box-shadow: 0 2px 0 #000;
    color: #888;
    display: block;
    float: left;
    font-family: cabin, helvetica, arial, sans-serif;
    font-size: 13px;
    font-weight: 400;
    height: 40px;
    margin: 0;
    padding: 0 10px;
    text-shadow: 0 -1px 0 #000;
    margin-bottom: 5px;
}

.ie .webdesigntuts-workshop input {
    line-height: 40px
}

.webdesigntuts-workshop input::-webkit-input-placeholder {
    color: #888
}

.webdesigntuts-workshop input:-moz-placeholder {
    color: #888
}

.webdesigntuts-workshop input:focus {
    -webkit-animation: glow 800ms ease-out infinite alternate;
    -moz-animation: glow 800ms ease-out infinite alternate;
    -o-animation: glow 800ms ease-out infinite alternate;
    -ms-animation: glow 800ms ease-out infinite alternate;
    animation: glow 800ms ease-out infinite alternate;
    background: #222922;
    background: -webkit-linear-gradient(#333933, #222922);
    background: -moz-linear-gradient(#333933, #222922);
    background: -o-linear-gradient(#333933, #222922);
    background: -ms-linear-gradient(#333933, #222922);
    background: linear-gradient(#333933, #222922);
    border-color: #00c1de;
    box-shadow: 0 0 5px rgba(0,193,222, .2), inset 0 0 5px rgba(0,193,222, .1), 0 2px 0 #000;
    color: #efe;
    outline: 0
}

.webdesigntuts-workshop input:focus::-webkit-input-placeholder {
    color: #efe
}

.webdesigntuts-workshop input:focus:-moz-placeholder {
    color: #efe
}

.webdesigntuts-workshop .btn {
    background: #222;
    background: -webkit-linear-gradient(#333, #222);
    background: -moz-linear-gradient(#333, #222);
    background: -o-linear-gradient(#333, #222);
    background: -ms-linear-gradient(#333, #222);
    background: linear-gradient(#333, #222);
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    -o-box-sizing: content-box;
    -ms-box-sizing: content-box;
    box-sizing: content-box;
    border: 1px solid #444;
    border-left-color: #000;
    border-radius: 5px;
    box-shadow: 0 2px 0 #000;
    color: #fff;
    display: block;
    float: left;
    font-family: cabin, helvetica, arial, sans-serif;
    font-size: 13px;
    font-weight: 400;
    height: 38px;
    line-height: 38px;
    margin: 0;
    padding: 0;
    position: relative;
    text-shadow: 0 -1px 0 #000;
    width: 80px
}

.webdesigntuts-workshop .btn:hover, .webdesigntuts-workshop .btn:focus {
    background: #292929;
    background: -webkit-linear-gradient(#393939, #292929);
    background: -moz-linear-gradient(#393939, #292929);
    background: -o-linear-gradient(#393939, #292929);
    background: -ms-linear-gradient(#393939, #292929);
    background: linear-gradient(#393939, #292929);
    color: #00c1de;
    outline: 0
}

.webdesigntuts-workshop .btn:active {
    background: #292929;
    background: -webkit-linear-gradient(#393939, #292929);
    background: -moz-linear-gradient(#393939, #292929);
    background: -o-linear-gradient(#393939, #292929);
    background: -ms-linear-gradient(#393939, #292929);
    background: linear-gradient(#393939, #292929);
    box-shadow: 0 1px 0 #000, inset 1px 0 1px #222;
    top: 1px
}

@-webkit-keyframes glow {
    0% {
        border-color: #00c1de;
        box-shadow: 0 0 5px rgba(0,193,222, .2), inset 0 0 5px rgba(0,193,222, .1), 0 2px 0 #000
    }
    100% {
        border-color: #00c1de;
        box-shadow: 0 0 20px rgba(0,193,222, .6), inset 0 0 10px rgba(0,193,222, .4), 0 2px 0 #000
    }
}

@-moz-keyframes glow {
    0% {
        border-color: #00c1de;
        box-shadow: 0 0 5px rgba(0,193,222, .2), inset 0 0 5px rgba(0,193,222, .1), 0 2px 0 #000
    }
    100% {
        border-color: #00c1de;
        box-shadow: 0 0 20px rgba(0,193,222, .6), inset 0 0 10px rgba(0,193,222, .4), 0 2px 0 #000
    }
}

@-o-keyframes glow {
    0% {
        border-color: #00c1de;
        box-shadow: 0 0 5px rgba(0,193,222, .2), inset 0 0 5px rgba(0,193,222, .1), 0 2px 0 #000
    }
    100% {
        border-color: #00c1de;
        box-shadow: 0 0 20px rgba(0,193,222, .6), inset 0 0 10px rgba(0,193,222, .4), 0 2px 0 #000
    }
}

@-ms-keyframes glow {
    0% {
        border-color: #00c1de;
        box-shadow: 0 0 5px rgba(0,193,222, .2), inset 0 0 5px rgba(0,193,222, .1), 0 2px 0 #000
    }
    100% {
        border-color: #00c1de;
        box-shadow: 0 0 20px rgba(0,193,222, .6), inset 0 0 10px rgba(0,193,222, .4), 0 2px 0 #000
    }
}

@keyframes glow {
    0% {
        border-color: #00c1de;
        box-shadow: 0 0 5px rgba(0,193,222, .2), inset 0 0 5px rgba(0,193,222, .1), 0 2px 0 #000
    }
    100% {
        border-color: #00c1de;
        box-shadow: 0 0 20px rgba(0,193,222, .6), inset 0 0 10px rgba(0,193,222, .4), 0 2px 0 #000
    }
}
